Форум программистов, компьютерный форум, киберфорум
Наши страницы
Lua
Войти
Регистрация
Восстановить пароль
 
Рейтинг 5.00/4: Рейтинг темы: голосов - 4, средняя оценка - 5.00
Fantazerishka
0 / 0 / 0
Регистрация: 05.12.2009
Сообщений: 14
1

Расшифровка файла под Linux

08.07.2015, 16:41. Просмотров 760. Ответов 2
Метки нет (Все метки)

Помогите пожалуйста расшифровать файл
Нашел декодер, но он пишет

luadec.exe: g.lua too old: read version 4.0; expected at least 5.0

А более старые версии только под Linux, а устанавливать его мне интернета и терпения не хватит =)

Сам файл: g.zip
Ссылка на декодер: http://files.luaforge.net/releases/luadec/luadec

Очень прошу =)
0
Надоела реклама? Зарегистрируйтесь и она исчезнет полностью.
Similar
Эксперт
41792 / 34177 / 6122
Регистрация: 12.04.2006
Сообщений: 57,940
08.07.2015, 16:41
Ответы с готовыми решениями:

Создание бинарного файла под Linux
Это код, по которому идет проверка(test.c) #include <unistd.h> #include...

Инвертирование файла не работает под Linux
При компиляции под линуксом выдает следующее: Под виндой всё работает. В...

Подскажите ide c# под linux чтобы компилировался файл для linux
Подскажите ide c# под linux чтобы компилировался файл для linux не как в...

Нужен компилятор под linux mint или linux ubuntu
Нужен компилятор под linux mint или linux ubuntu. Желательно голенький...

Перенос программы под Linux: номера системных вызовов в DOS и Linux не совпадают
Здравствуйте, уважаемые программисты всея форума! Доброго вам времени суток! =)...

2
ranebull
527 / 360 / 56
Регистрация: 23.06.2013
Сообщений: 1,182
Записей в блоге: 6
08.07.2015, 17:10 2
Цитата Сообщение от Fantazerishka Посмотреть сообщение
Очень прошу =)
LUA - компиляция, декомпиляция и дизассемблирование
0
Fantazerishka
0 / 0 / 0
Регистрация: 05.12.2009
Сообщений: 14
10.07.2015, 04:44  [ТС] 3
LUA - компиляция, декомпиляция и дизассемблирование
Когда пытаюсь 51.2.1 пишет: bad header in precompiled chunk

Добавлено через 20 часов 43 минуты
Unluac пишет

java -jar unluac_2015_06_13.jar h.lua > 834.lua
Exception in thread "main" java.lang.IllegalStateException: The input chunk's Lu
a version is 4.0; unluac can only handle Lua 5.0 - Lua 5.3.
at unluac.parse.BHeader.<init>(BHeader.java:63)
at unluac.Main.file_to_function(Main.java:71)
at unluac.Main.main(Main.java:42)

Так что может все же кто-нибудь в 4 версии попробовать?
0
MoreAnswers
Эксперт
37091 / 29110 / 5898
Регистрация: 17.06.2006
Сообщений: 43,301
10.07.2015, 04:44

linux+avr+asm+debug=IDE под linux
Здравствуйте! Допрашиваю Гошу с пристрастием уже два дня... Хочется аналог...

Консультант+ на машине под Linux по сети с машины под Windows
Есть такой сложный вопрос, нужно запустить Консультант+ сетевая версия на...

Чтобы приложение, разработанное на С#, работало и под Linux и под MacOS
У меня вопрос. Есть приложение разработанное на С# на .Net Framework 2.0 в...


Искать еще темы с ответами

Или воспользуйтесь поиском по форуму:
3
Ответ Создать тему
Опции темы

КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2018, vBulletin Solutions, Inc.
Рейтинг@Mail.ru